import 'dart:async';

import 'package:flutter/services.dart';
import 'package:ingenico_device/device.dart';
export 'device.dart';

class IngenicoDevice {
  static const MethodChannel _channel = const MethodChannel('ingenico_device');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<void> ingenicoInitialize(
    String? apiKey,
    String? baseUrl,
    String? clientVersion,
  ) async {
    await _channel.invokeMethod('Initialize', {
      'apiKey': apiKey,
      'baseUrl': baseUrl,
      'clientVersion': clientVersion,
    });
  }

  static Future<void> ingenicoLogin(
    String? username,
    String? password,
  ) async {
    await _channel.invokeMethod('Login', {
      'username': username,
      'password': password,
    });
  }

  static Future<dynamic> search() async {
    await _channel.invokeMethod('Search');
  }

  static Future<dynamic> setDeviceType() async {
    await _channel.invokeMethod('SetDeviceType');
  }

  static Future<dynamic> setUpDevice() async {
    await _channel.invokeMethod('SetUpDevice');
  }
  static Future<dynamic> creditSale(String currency,int total) async {
    await _channel.invokeMethod('CreditSale',{
      'Currency':currency,
      'Total':total
    });
  }
}
